Name:		kvantum
Version:	0.10.8
Release:	1%{?dist}
Summary:	SVG-based theme engine for Qt4/Qt5, KDE and LXQT

Group:		User Interface/Desktops
License:	GPLv3
URL:		https://github.com/tsujan/Kvantum
Source0:	https://github.com/tsujan/Kvantum/archive/V%{version}.tar.gz

BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: qt5-qtsvg-devel
BuildRequires: qt5-qttools-devel
# BuildRequires: qt4-devel

Requires: qt5-qtbase
Requires: qt5-qtx11extras
Requires: qt5-qtsvg

%description
Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQT,
with an emphasis on elegance, usability and practicality.

%prep
%setup -q -n Kvantum-%{version}/Kvantum

%build
mkdir build
cd build
# cmake .. -DENABLE_QT4=ON
cmake ..
%make_build
%make_install

%files
# %{_libdir}/qt4/plugins/styles/libkvantum.so
%{_libdir}/qt5/plugins/styles/libkvantum.so
%{_bindir}/kvantumpreview
%{_datadir}/kvantumpreview/translations
%{_bindir}/kvantummanager
%{_datadir}/kvantummanager/translations
%{_datadir}/applications/kvantummanager.desktop
%{_datadir}/icons/hicolor/scalable/apps/kvantum.svg
%{_datadir}/color-schemes/Kvantum.colors
%{_datadir}/Kvantum/KvGnomish
%{_datadir}/Kvantum/KvAmbience
%{_datadir}/Kvantum/KvRoughGlass
%{_datadir}/Kvantum/KvFlatRed
%{_datadir}/Kvantum/KvArcDark
%{_datadir}/Kvantum/KvGnome
%{_datadir}/Kvantum/KvArc
%{_datadir}/Kvantum/KvSimplicityTurquoise
%{_datadir}/Kvantum/KvOxygen
%{_datadir}/Kvantum/KvDark
%{_datadir}/Kvantum/KvGray
%{_datadir}/Kvantum/KvAdapta
%{_datadir}/Kvantum/KvantumAlt
%{_datadir}/Kvantum/KvBeige
%{_datadir}/Kvantum/KvFlatLight
%{_datadir}/Kvantum/KvCurves3d
%{_datadir}/Kvantum/KvCurvesLight
%{_datadir}/Kvantum/KvCyan
%{_datadir}/Kvantum/KvDarkRed
%{_datadir}/Kvantum/KvCurves
%{_datadir}/Kvantum/KvAmbiance
%{_datadir}/Kvantum/KvSimplicity
%{_datadir}/Kvantum/KvSimplicityDark
%{_datadir}/Kvantum/KvAdaptaDark
%{_datadir}/Kvantum/KvGnomeAlt
%{_datadir}/Kvantum/KvGnomeDark
%{_datadir}/Kvantum/KvFlat
%{_datadir}/Kvantum/KvBrown
%{_datadir}/Kvantum/KvCommunitheme
%{_datadir}/kde4/apps/color-schemes/KvFlatRed.colors
%{_datadir}/kde4/apps/color-schemes/KvSimplicityTurquoise.colors
%{_datadir}/kde4/apps/color-schemes/KvCurves.colors
%{_datadir}/kde4/apps/color-schemes/KvBeige.colors
%{_datadir}/kde4/apps/color-schemes/KvRoughGlass.colors
%{_datadir}/kde4/apps/color-schemes/KvFlatLight.colors
%{_datadir}/kde4/apps/color-schemes/KvCurvesLight.colors
%{_datadir}/kde4/apps/color-schemes/KvGnome.colors
%{_datadir}/kde4/apps/color-schemes/KvFlat.colors
%{_datadir}/kde4/apps/color-schemes/KvAmbience.colors
%{_datadir}/kde4/apps/color-schemes/KvGray.colors
%{_datadir}/kde4/apps/color-schemes/KvOxygen.colors
%{_datadir}/kde4/apps/color-schemes/KvAdapta.colors
%{_datadir}/kde4/apps/color-schemes/KvDarkRed.colors
%{_datadir}/kde4/apps/color-schemes/KvSimplicityDark.colors
%{_datadir}/kde4/apps/color-schemes/KvDark.colors
%{_datadir}/kde4/apps/color-schemes/KvAmbiance.colors
%{_datadir}/kde4/apps/color-schemes/KvSimplicity.colors
%{_datadir}/kde4/apps/color-schemes/KvCyan.colors
%{_datadir}/kde4/apps/color-schemes/KvAdaptaDark.colors
%{_datadir}/kde4/apps/color-schemes/KvGnomeDark.colors
%{_datadir}/kde4/apps/color-schemes/KvArc.colors
%{_datadir}/kde4/apps/color-schemes/KvArcDark.colors
%{_datadir}/kde4/apps/color-schemes/KvBrown.colors
%{_datadir}/kde4/apps/color-schemes/KvCommunitheme.colors
%{_datadir}/kde4/apps/color-schemes/KvantumAlt.colors
%{_datadir}/color-schemes/KvFlatRed.colors
%{_datadir}/color-schemes/KvSimplicityTurquoise.colors
%{_datadir}/color-schemes/KvCurves.colors
%{_datadir}/color-schemes/KvBeige.colors
%{_datadir}/color-schemes/KvRoughGlass.colors
%{_datadir}/color-schemes/KvFlatLight.colors
%{_datadir}/color-schemes/KvCurvesLight.colors
%{_datadir}/color-schemes/KvGnome.colors
%{_datadir}/color-schemes/KvFlat.colors
%{_datadir}/color-schemes/KvAmbience.colors
%{_datadir}/color-schemes/KvGray.colors
%{_datadir}/color-schemes/KvOxygen.colors
%{_datadir}/color-schemes/KvAdapta.colors
%{_datadir}/color-schemes/KvDarkRed.colors
%{_datadir}/color-schemes/KvSimplicityDark.colors
%{_datadir}/color-schemes/KvDark.colors
%{_datadir}/color-schemes/KvAmbiance.colors
%{_datadir}/color-schemes/KvSimplicity.colors
%{_datadir}/color-schemes/KvCyan.colors
%{_datadir}/color-schemes/KvAdaptaDark.colors
%{_datadir}/color-schemes/KvGnomeDark.colors
%{_datadir}/color-schemes/KvArc.colors
%{_datadir}/color-schemes/KvArcDark.colors
%{_datadir}/color-schemes/KvBrown.colors
%{_datadir}/color-schemes/KvCommunitheme.colors
%{_datadir}/color-schemes/KvantumAlt.colors
%{_datadir}/themes/KvAmbience
%{_datadir}/themes/Kvantum
%{_datadir}/themes/KvRoughGlass
%{_datadir}/themes/KvArcDark
%{_datadir}/themes/KvGnome
%{_datadir}/themes/KvArc
%{_datadir}/themes/KvOxygen
%{_datadir}/themes/KvGray
%{_datadir}/themes/KvAdapta
%{_datadir}/themes/KvBeige
%{_datadir}/themes/KvFlatLight
%{_datadir}/themes/KvCurvesLight
%{_datadir}/themes/KvCyan
%{_datadir}/themes/KvDarkRed
%{_datadir}/themes/KvAmbiance
%{_datadir}/themes/KvSimplicity
%{_datadir}/themes/KvSimplicityDark
%{_datadir}/themes/KvGnomeDark
%{_datadir}/themes/KvBrown

%changelog
* Tue Oct 02 2018 Gerry Agbobada <gagbobada@gmail.com> - 0.10.8.1
- Version bump
- KvDynamo is not bundled anymore

* Fri Jun 08 2018 Gerry Agbobada <gagbobada@gmail.com> - 0.10.6-3
- Copy/paste the spec from aranofacundo/whiteknight
